const int button1Pin = P0_2;  // кнопка №1 - пин P0_2
const int button2Pin = P0_3;  // кнопка №2 - пин P0_3
const int ledPin = P1_3;      // пин P1_3, для светодиода

// функция настройки запускается один раз при нажатии кнопки reset или подаче питания на плату
void setup() {
  // Установим пины кнопок как входящие:
  pinMode(button1Pin, INPUT);
  pinMode(button2Pin, INPUT);

  // Установим пин светодиода как исходящий:
  pinMode(ledPin, OUTPUT);
}

// функция цикла выполняется снова и снова бесконечно
void loop() {
  int button1State, button2State;  // Переменные для сохранения состояния кнопок

  /*
   * Здесь мы читаем текущее состояние кнопок и помещаем их значение
   * в две пепременные.
   */
  button1State = digitalRead(button1Pin);
  button2State = digitalRead(button2Pin);

  if (((button1State == LOW) || (button2State == LOW))  // Проверяем нажата ли только одна из кнопок
      && !((button1State == LOW) && (button2State == LOW))) {
    digitalWrite(ledPin, HIGH);  // Включаем светодиод
  } else                         // иначе
  {
    digitalWrite(ledPin, LOW);  // Выключаем светодиод
  }
}




